
Redmine - Defect #6495

Convert translations to the new format for i18n 4.x

2010-09-26 19:08 - Eric Davis

Status: Closed Start date: 2010-09-26

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: I18n Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

See Jean-Baptiste Barth's script at: http://www.redmine.org/issues/5608#note-18

This needs to be done before 1.1.0 RC so everyone has enough time to get new translations ready (both core and plugins)

Related issues:

Related to Redmine - Feature #6887: Upgrade to Rails 2.3.11 Closed 2010-11-13

Related to Redmine - Defect #8235: bulk edit issues and copy issues error in ... Closed 2011-04-27

Associated revisions

Revision 4518 - 2010-12-17 09:50 - Jean-Philippe Lang

Converts translations to the new i18n interpolation format (#6495).

History

#1 - 2010-09-26 19:15 - Eric Davis

- Assignee deleted (Azamat Hackimov)

Sorry Azamat Hackimov, you where auto-assigned.

#2 - 2010-11-27 15:16 - Jean-Philippe Lang

- Target version changed from 1.1.0 to 1.2.0

The I18n version (0.1.3) vendor'd in Rails 2.3.5 does not support the new syntax.

We can not convert locales as long as we stay with 2.3.5.

#3 - 2010-11-29 20:36 - Jean-Philippe Lang

- Category changed from Translations to I18n

#4 - 2011-02-21 12:06 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Translations converted in r4518.

#5 - 2011-04-27 12:32 - Toshi MARUYAMA

- Target version deleted (1.2.0)

New format strings are in 1.1 stable.
